SDL_CameraSpec(3type)

NAME
SDL_CameraSpec - The details of an output format for a camera device.

SYNOPSIS
#include <SDL3/SDL_camera.h>

typedef struct SDL_CameraSpec
{
    SDL_PixelFormat format;     /**< Frame format */
    SDL_Colorspace colorspace;  /**< Frame colorspace */
    int width;                  /**< Frame width */
    int height;                 /**< Frame height */
    int framerate_numerator;     /**< Frame rate numerator ((num / denom) == FPS, (denom / num) == duration in seconds) */
    int framerate_denominator;   /**< Frame rate demoninator ((num / denom) == FPS, (denom / num) == duration in seconds) */
} SDL_CameraSpec;

DESCRIPTION
Cameras often support multiple formats; each one will be encapsulated in this struct.

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
SDL_GetCameraSupportedFormats(3), SDL_GetCameraFormat(3)